import { JwtHeader, JwtPayload } from 'jwt-decode';
export default class User {
    protected jwt: string;
    protected permissions: Array<string>;
    protected roles: Array<string>;
    constructor(jwt: string);
    getJwtToken(): string;
    getPayload(): JwtPayload & Record<string, unknown>;
    getHeader(): JwtHeader & Record<string, unknown>;
    isAuthenticated(): boolean;
    setPermissions(permissions: Array<string>): void;
    hasPermission(name: string): boolean;
    setRoles(roles: Array<string>): void;
    hasRole(name: string): boolean;
}
//# sourceMappingURL=User.d.ts.map